## ros-one-transmission-interface 0.20.0-1noble.20251023.0041

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(transmission_interface)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS
  cmake_modules
  hardware_interface
  pluginlib
  roscpp
)

# Include a custom cmake file for TinyXML
find_package(TinyXML REQUIRED)

# Declare a catkin package
catkin_package(
  INCLUDE_DIRS
    include
  LIBRARIES
    ${PROJECT_NAME}_parser
    ${PROJECT_NAME}_loader
    ${PROJECT_NAME}_loader_plugins
  CATKIN_DEPENDS
    hardware_interface
    pluginlib
    roscpp
  DEPENDS
    TinyXML
)


###########
## Build ##
###########

# Specify header include paths
include_directories(include ${catkin_INCLUDE_DIRS} ${TinyXML_INCLUDE_DIRS})

# Transmission parser library
add_library(${PROJECT_NAME}_parser
  include/transmission_interface/transmission_parser.h
  src/transmission_parser.cpp
)
target_link_libraries(${PROJECT_NAME}_parser ${catkin_LIBRARIES} ${TinyXML_LIBRARIES})

# Transmission loader library
add_library(${PROJECT_NAME}_loader
  include/transmission_interface/transmission_interface_loader.h
  include/transmission_interface/transmission_loader.h
  src/transmission_interface_loader.cpp
  src/transmission_loader.cpp
)
target_link_libraries(${PROJECT_NAME}_loader
  ${PROJECT_NAME}_parser
  ${catkin_LIBRARIES}
  ${TinyXML_LIBRARIES}
)

add_library(${PROJECT_NAME}_loader_plugins
  include/transmission_interface/bidirectional_effort_joint_interface_provider.h
  include/transmission_interface/bidirectional_position_joint_interface_provider.h
  include/transmission_interface/bidirectional_velocity_joint_interface_provider.h
  include/transmission_interface/differential_transmission_loader.h
  include/transmission_interface/effort_joint_interface_provider.h
  include/transmission_interface/four_bar_linkage_transmission_loader.h
  include/transmission_interface/joint_state_interface_provider.h
  include/transmission_interface/position_joint_interface_provider.h
  include/transmission_interface/simple_transmission_loader.h
  include/transmission_interface/velocity_joint_interface_provider.h
  src/bidirectional_effort_joint_interface_provider.cpp
  src/bidirectional_position_joint_interface_provider.cpp
  src/bidirectional_velocity_joint_interface_provider.cpp
  src/differential_transmission_loader.cpp
  src/effort_joint_interface_provider.cpp
  src/four_bar_linkage_transmission_loader.cpp
  src/joint_state_interface_provider.cpp
  src/position_joint_interface_provider.cpp
  src/simple_transmission_loader.cpp
  src/velocity_joint_interface_provider.cpp
)
target_link_libraries(${PROJECT_NAME}_loader_plugins ${PROJECT_NAME}_loader)


#############
## Testing ##
#############

if(CATKIN_ENABLE_TESTING)
  find_package(resource_retriever REQUIRED)
  include_directories(${resource_retriever_INCLUDE_DIRS})

  catkin_add_gtest(simple_transmission_test                       test/simple_transmission_test.cpp)

  catkin_add_gtest(differential_transmission_test                 test/differential_transmission_test.cpp)

  catkin_add_gtest(four_bar_linkage_transmission_test             test/four_bar_linkage_transmission_test.cpp)

  catkin_add_gtest(transmission_interface_test                    test/transmission_interface_test.cpp)
  target_link_libraries(transmission_interface_test               ${catkin_LIBRARIES})

  catkin_add_gtest(transmission_parser_test                       test/transmission_parser_test.cpp)
  target_link_libraries(transmission_parser_test                  ${PROJECT_NAME}_parser ${resource_retriever_LIBRARIES})

  catkin_add_gtest(simple_transmission_loader_test                test/simple_transmission_loader_test.cpp)
  target_link_libraries(simple_transmission_loader_test           ${PROJECT_NAME}_parser ${resource_retriever_LIBRARIES})

  catkin_add_gtest(differential_transmission_loader_test          test/differential_transmission_loader_test.cpp)
  target_link_libraries(differential_transmission_loader_test     ${PROJECT_NAME}_parser ${resource_retriever_LIBRARIES})

  catkin_add_gtest(four_bar_linkage_transmission_loader_test      test/four_bar_linkage_transmission_loader_test.cpp)
  target_link_libraries(four_bar_linkage_transmission_loader_test ${PROJECT_NAME}_parser ${resource_retriever_LIBRARIES})

  catkin_add_gtest(transmission_interface_loader_test             test/transmission_interface_loader_test.cpp)
  target_link_libraries(transmission_interface_loader_test        transmission_interface_loader
                                                                  ${resource_retriever_LIBRARIES})
endif()


#############
## Install ##
#############

# Install headers
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

# Install targets
install(TARGETS ${PROJECT_NAME}_loader
                ${PROJECT_NAME}_loader_plugins
                ${PROJECT_NAME}_parser
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

# Install plugins
install(FILES ros_control_plugins.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

## ros-one-transmission-interface 0.20.0-1jammy.20251023.0042

=== debian/changelog ===
ros-one-transmission-interface (0.20.0-1jammy.20251023.0042) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 23 Oct 2025 00:42:26 +0000

ros-one-transmission-interface (0.20.0-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 27 Oct 2023 00:00:00 -0000

ros-one-transmission-interface (0.19.6-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 21 Oct 2022 00:00:00 -0000

ros-one-transmission-interface (0.19.5-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 16 Jun 2021 00:00:00 -0000

ros-one-transmission-interface (0.19.4-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 05 Dec 2020 00:00:00 -0000

ros-one-transmission-interface (0.19.3-0jammy) jammy; urgency=high

  * Fix jnt-to-act command propagation check in transmission_interface_loader_test (#473 <https://github.com/ros-controls/ros_control/issues/473>)
    * Fix jnt-to-act command propagation check
    * Fix jnt-to-act command propagation check of bidirectional transmissions
  * Remove ParseStatus enum (#470 <https://github.com/ros-controls/ros_control/issues/470>)
  * Remove irrelevant test case (resolve #460 <https://github.com/ros-controls/ros_control/issues/460>) (#472 <https://github.com/ros-controls/ros_control/issues/472>)
  * Contributors: Mateus Amarante, Jordan Lack

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 11 Oct 2020 00:00:00 -0000

ros-one-transmission-interface (0.19.2-0jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 17 Aug 2020 00:00:00 -0000

ros-one-transmission-interface (0.19.1-0jammy) jammy; urgency=high

  * Function specifiers noetic (#453 <https://github.com/ros-controls/ros_control/issues/453>)
    * Add override specifiers & default constructors
    * Delete ControllerBase copy & move ctors
    * Remove unnecessary default constructors
    * Modernize additional constructors
    * Revert ImuSensorHandle::Data::Data() = default
    * Remove unnecessary default overridden constructors
    * Remove semicolon after function body
    Co-authored-by: Matt Reynolds <mtreynolds@uwaterloo.ca>
  * Use setuptools instead of distutils (#429 <https://github.com/ros-controls/ros_control/issues/429>)
  * Contributors: Bence Magyar, Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 10 May 2020 00:00:00 -0000

ros-one-transmission-interface (0.19.0-0jammy) jammy; urgency=high

  * Replace enums with enum classes (#412 <https://github.com/ros-controls/ros_control/issues/412>)
  * Contributors: Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 23 Apr 2020 00:00:00 -0000

ros-one-transmission-interface (0.18.0-0jammy) jammy; urgency=high

  * Add xmlns for URDF, remove xmlns:xacro (#436 <https://github.com/ros-controls/ros_control/issues/436>)
  * Fixed compile tests (#434 <https://github.com/ros-controls/ros_control/issues/434>)
  * Replace internal::is_permutation with std (#419 <https://github.com/ros-controls/ros_control/issues/419>)
  * Bump CMake version to avoid CMP0048 (#427 <https://github.com/ros-controls/ros_control/issues/427>)
  * Contributors: Alejandro Hernández Cordero, Matt Reynolds, Shane Loretz

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-transmission-interface (0.17.0-0jammy) jammy; urgency=high

  * Use default member initializers
  * Use braces for member initializers
  * Replace boost with std
  * Replace boost ptrs with std ptrs in documentation
  * Replace boost::lexical_cast<double> with std::stod
  * Prefer default member initializers
  * Use auto
  * Contributors: AbhinavSingh, Bence Magyar, Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 24 Feb 2020 00:00:00 -0000

ros-one-transmission-interface (0.16.0-0jammy) jammy; urgency=high

  * Use more meaningful pair iterator names
  * Use range-based for loops in transmission_interface
  * Resolve Boost dependency issues
  * Update dependencies
    - Dependencies needed to compile are <build_depend>
    - Dependencies used in public headers are <build_export_depend>
    - Dependencies needed to link or run are <exec_depend>
  * Merge branch 'melodic-devel' into catkin-lint
  * Update package dependencies
  * Remove rosunit test_depend from package.xml
  * Prefer nullptr for null pointers
  * Merge pull request #406 <https://github.com/ros-controls/ros_control/issues/406> from matthew-reynolds/pragma-once
    Use #pragma once
  * Add missing header guard to loader_utils.h
  * Replace header guard with #pragma once
  * Merge pull request #395 <https://github.com/ros-controls/ros_control/issues/395> from pal-robotics-forks/extend-interfaces-melodic
    Extend interfaces
  * Add torque sensor and absolute encoder support to transmissions and adjust tests
    Add pointer accessors for torque sensor and absoute position encoders
  * Modified structures to have absolute encoder and torque sensor parameters
  * Fix transmission_interface dependencies
  * Apply consistent style to CMakeLists.txt files
  * Apply consistent style to package.xml files
  * Merge pull request #399 <https://github.com/ros-controls/ros_control/issues/399> from mvieth/melodic-devel
    Fix compiler warnings
  * Fix compiler warnings
    - Comment out unused parameters
    - Make some integer literals unsigned to avoid comparison between signed and unsigned
    - Remove unnecessary semicolons
    - Make const void return type to void
  * Fix build error in clang
    error: non-aggregate type 'std::vector' (aka 'vector >') cannot be initialized with an initializer list
  * Merge pull request #379 <https://github.com/ros-controls/ros_control/issues/379> from bmagyar/transmission-parser-touchup
    TransmissionParser touchup
  * Fix typo in docs
  * TransmissionParser private -> protected


=== debian/control ===
Source: ros-one-transmission-interface
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libtinyxml-dev, ros-one-catkin, ros-one-cmake-modules, ros-one-hardware-interface, ros-one-pluginlib, ros-one-roscpp
Homepage: https://github.com/ros-controls/ros_control/wiki
Standards-Version: 3.9.2

Package: ros-one-transmission-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libtinyxml-dev, ros-one-hardware-interface, ros-one-pluginlib, ros-one-roscpp
Description: Transmission Interface.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-transmission-interface//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-transmission-interface 0.20.0-1jammy.20260220.2140

=== debian/changelog ===
ros-one-transmission-interface (0.20.0-1jammy.20260220.2140) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 20 Feb 2026 21:40:30 +0000

## ros-one-transmission-interface 0.20.0-1noble.20250531.2203

=== debian/changelog ===
ros-one-transmission-interface (0.20.0-1noble.20250531.2203) UNRELEASED; urgency=high

  * noble Append timestamp when binarydeb was built.

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 31 May 2025 22:03:57 +0000

ros-one-transmission-interface (0.20.0-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 27 Oct 2023 00:00:00 -0000

ros-one-transmission-interface (0.19.6-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 21 Oct 2022 00:00:00 -0000

ros-one-transmission-interface (0.19.5-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 16 Jun 2021 00:00:00 -0000

ros-one-transmission-interface (0.19.4-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 05 Dec 2020 00:00:00 -0000

ros-one-transmission-interface (0.19.3-0noble) noble; urgency=high

  * Fix jnt-to-act command propagation check in transmission_interface_loader_test (#473 <https://github.com/ros-controls/ros_control/issues/473>)
    * Fix jnt-to-act command propagation check
    * Fix jnt-to-act command propagation check of bidirectional transmissions
  * Remove ParseStatus enum (#470 <https://github.com/ros-controls/ros_control/issues/470>)
  * Remove irrelevant test case (resolve #460 <https://github.com/ros-controls/ros_control/issues/460>) (#472 <https://github.com/ros-controls/ros_control/issues/472>)
  * Contributors: Mateus Amarante, Jordan Lack

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 11 Oct 2020 00:00:00 -0000

ros-one-transmission-interface (0.19.2-0noble) noble; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 17 Aug 2020 00:00:00 -0000

ros-one-transmission-interface (0.19.1-0noble) noble; urgency=high

  * Function specifiers noetic (#453 <https://github.com/ros-controls/ros_control/issues/453>)
    * Add override specifiers & default constructors
    * Delete ControllerBase copy & move ctors
    * Remove unnecessary default constructors
    * Modernize additional constructors
    * Revert ImuSensorHandle::Data::Data() = default
    * Remove unnecessary default overridden constructors
    * Remove semicolon after function body
    Co-authored-by: Matt Reynolds <mtreynolds@uwaterloo.ca>
  * Use setuptools instead of distutils (#429 <https://github.com/ros-controls/ros_control/issues/429>)
  * Contributors: Bence Magyar, Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 10 May 2020 00:00:00 -0000

ros-one-transmission-interface (0.19.0-0noble) noble; urgency=high

  * Replace enums with enum classes (#412 <https://github.com/ros-controls/ros_control/issues/412>)
  * Contributors: Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 23 Apr 2020 00:00:00 -0000

ros-one-transmission-interface (0.18.0-0noble) noble; urgency=high

  * Add xmlns for URDF, remove xmlns:xacro (#436 <https://github.com/ros-controls/ros_control/issues/436>)
  * Fixed compile tests (#434 <https://github.com/ros-controls/ros_control/issues/434>)
  * Replace internal::is_permutation with std (#419 <https://github.com/ros-controls/ros_control/issues/419>)
  * Bump CMake version to avoid CMP0048 (#427 <https://github.com/ros-controls/ros_control/issues/427>)
  * Contributors: Alejandro Hernández Cordero, Matt Reynolds, Shane Loretz

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-transmission-interface (0.17.0-0noble) noble; urgency=high

  * Use default member initializers
  * Use braces for member initializers
  * Replace boost with std
  * Replace boost ptrs with std ptrs in documentation
  * Replace boost::lexical_cast<double> with std::stod
  * Prefer default member initializers
  * Use auto
  * Contributors: AbhinavSingh, Bence Magyar, Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 24 Feb 2020 00:00:00 -0000

ros-one-transmission-interface (0.16.0-0noble) noble; urgency=high

  * Use more meaningful pair iterator names
  * Use range-based for loops in transmission_interface
  * Resolve Boost dependency issues
  * Update dependencies
    - Dependencies needed to compile are <build_depend>
    - Dependencies used in public headers are <build_export_depend>
    - Dependencies needed to link or run are <exec_depend>
  * Merge branch 'melodic-devel' into catkin-lint
  * Update package dependencies
  * Remove rosunit test_depend from package.xml
  * Prefer nullptr for null pointers
  * Merge pull request #406 <https://github.com/ros-controls/ros_control/issues/406> from matthew-reynolds/pragma-once
    Use #pragma once
  * Add missing header guard to loader_utils.h
  * Replace header guard with #pragma once
  * Merge pull request #395 <https://github.com/ros-controls/ros_control/issues/395> from pal-robotics-forks/extend-interfaces-melodic
    Extend interfaces
  * Add torque sensor and absolute encoder support to transmissions and adjust tests
    Add pointer accessors for torque sensor and absoute position encoders
  * Modified structures to have absolute encoder and torque sensor parameters
  * Fix transmission_interface dependencies
  * Apply consistent style to CMakeLists.txt files
  * Apply consistent style to package.xml files
  * Merge pull request #399 <https://github.com/ros-controls/ros_control/issues/399> from mvieth/melodic-devel
    Fix compiler warnings
  * Fix compiler warnings
    - Comment out unused parameters
    - Make some integer literals unsigned to avoid comparison between signed and unsigned
    - Remove unnecessary semicolons
    - Make const void return type to void
  * Fix build error in clang
    error: non-aggregate type 'std::vector' (aka 'vector >') cannot be initialized with an initializer list
  * Merge pull request #379 <https://github.com/ros-controls/ros_control/issues/379> from bmagyar/transmission-parser-touchup
    TransmissionParser touchup
  * Fix typo in docs


=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,6 @@
 	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
 	dh_auto_configure -- \
-		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
 		-DCMAKE_PREFIX_PATH="/opt/ros/one" \

## ros-one-transmission-interface 0.20.0-1noble.20251023.0041

=== debian/changelog ===
ros-one-transmission-interface (0.20.0-1noble.20251023.0041) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 23 Oct 2025 00:41:01 +0000

## ros-one-transmission-interface 0.20.0-1noble.20260220.2147

=== debian/changelog ===
ros-one-transmission-interface (0.20.0-1noble.20260220.2147) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 20 Feb 2026 21:47:14 +0000
